gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.VulkanRenderer

Contents

- Exported types
- Methods
  - new

Description

Renders a GSK rendernode tree with Vulkan.

This renderer will fail to realize if Vulkan is not supported.

Synopsis

- newtype VulkanRenderer = VulkanRenderer (ManagedPtr VulkanRenderer)
- class (GObject o, IsDescendantOf VulkanRenderer o) => IsVulkanRenderer o
- toVulkanRenderer :: (MonadIO m, IsVulkanRenderer o) => o -> m VulkanRenderer
- vulkanRendererNew :: (HasCallStack, MonadIO m) => m VulkanRenderer

# Exported types

newtype VulkanRenderer Source #

Memory-managed wrapper type.

Constructors

VulkanRenderer (ManagedPtr VulkanRenderer) |

#### Instances

Instances details

Eq VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer Methods (==) :: VulkanRenderer -> VulkanRenderer -> Bool Source # (/=) :: VulkanRenderer -> VulkanRenderer -> Bool Source #
GObject VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer
ManagedPtrNewtype VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer Methods toManagedPtr :: VulkanRenderer -> ManagedPtr VulkanRenderer Source #
TypedObject VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer Methods glibType :: IO GType Source #
HasParentTypes VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer
IsGValue (Maybe VulkanRenderer) Source # | Convert `VulkanRenderer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gsk.Objects.VulkanRenderer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe VulkanRenderer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe VulkanRenderer) Source #
type ParentTypes VulkanRenderer Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer type ParentTypes VulkanRenderer = '[Renderer, Object]

class (GObject o, IsDescendantOf VulkanRenderer o) => IsVulkanRenderer o Source #

Type class for types which can be safely cast to `VulkanRenderer`, for instance with `toVulkanRenderer`.

#### Instances

Instances details

(GObject o, IsDescendantOf VulkanRenderer o) => IsVulkanRenderer o Source # |
Instance details Defined in GI.Gsk.Objects.VulkanRenderer

toVulkanRenderer :: (MonadIO m, IsVulkanRenderer o) => o -> m VulkanRenderer Source #

Cast to `VulkanRenderer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isRealized, notify, notifyByPspec, realize, realizeForDisplay, ref, refSink, render, renderTexture, runDispose, stealData, stealQdata, thawNotify, unrealize, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getSurface.

#### Setters

setData, setDataFull, setProperty.

## new

vulkanRendererNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m VulkanRenderer | Returns: a new Vulkan renderer

Creates a new Vulkan renderer.

The Vulkan renderer is a renderer that uses the Vulkan library for rendering.

This renderer will fail to realize when GTK was not compiled with Vulkan support.